package com.gic.haoban.manage.api.service;

import java.util.List;

import com.gic.haoban.common.utils.HaobanResponse;
import com.gic.haoban.manage.api.dto.DepartmentDTO;

public interface DepartmentApiService {

	List<DepartmentDTO> listByParentId(String parentId);
	/**
	 * 根据部门id查询部门
	 * @param departmentId
	 * @return
	 */
	DepartmentDTO selectById(String departmentId);
	/**
	 * 新增部门
	 * @param department
	 * @return
	 */
	HaobanResponse add(DepartmentDTO department);
	/**
	 * 修改部门
	 * @param department
	 * @return
	 */
	HaobanResponse edit(DepartmentDTO department);
	/**
	 * 删除部门
	 * @param departmentId
	 * @return
	 */
	HaobanResponse del(String departmentId);
	/**
	 * 根据关联id 获取部门
	 * @param departId
	 * @return
	 */
	DepartmentDTO selectByRelatedId(String departId);

}
